POST Project
Some tooltip text!
• 13 minutes to read
• 13 minutes to read
POST /api/v1/Project
Creates a new ProjectEntity
Calls the Project agent service SaveProjectEntity. NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
POST /api/v1/Project?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: newEntity
The ProjectEntity to be saved.
| Property Name | Type | Description |
|---|---|---|
| ProjectId | Integer | Primary key |
| Name | String | Project name |
| ProjectNumber | String | Automatically generated number |
| ProjectMembers | Array | The persons which are members of the project |
| Urls | Array | The project's internet adresses |
| CreatedDate | String | Registered date in UTC. |
| UpdatedDate | String | Last updated date in UTC. |
| Description | String | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| Postit | String | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| CreatedBy | Associate | The person that created the project |
| UpdatedBy | Associate | The person that last updated the project |
| Associate | Associate | The person that created the project |
| ProjectStatus | ProjectStatus | Project status is a list defined by the database administrator. Different statuses of a project may be: “In planning”, “Started”, “Finished” and so on |
| ProjectType | ProjectType | Project type is a list defined by the database admin. for example: 'Large', 'Small', 'Party'... |
| HasImage | Boolean | True if the project has an image. (This is the image that is displayed in the CRM client) |
| ImageDescription | String | Description of the project image if it exists. (This is the image that is displayed in the CRM client) |
| ActiveStatusMonitorId | Integer | Active status monitor identity with the lowest rank for project |
| Links | Array | List of all elements linked to the project |
| ActiveLinks | Integer | Number of active links to documents, other appointments, and such |
| Completed | Boolean | Done (0=false, 1=true). Status implies changes in which fields are shown in GUI, as well as which fields can be updated |
| NextMilestoneDate | String | Calculated date, reflects date of closest non-complete future milestone activity |
| NmdAppointmentId | Integer | ID of appointment that "caused" the nextMilestoneDate, can be 0 |
| EndDate | String | Planned end date for project, inhertied from type and later editable |
| ActiveErpLinks | Integer | The number of active erp links |
| UserDefinedFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ProjectEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | Object | Deprecated: Use {SuperOffice.CRM.Services.ProjectEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | Object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ProjectEntity.ExtraFields} and |
| PublishEventDate | String | Publish event date |
| PublishTo | String | Publication valid to (inclusive) |
| PublishFrom | String | Publication valid from (inclusive) |
| IsPublished | Boolean | Publication is published |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ProjectEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| ProjectId | int32 | Primary key |
| Name | string | Project name |
| ProjectNumber | string | Automatically generated number |
| ProjectMembers | array | The persons which are members of the project |
| Urls | array | The project's internet adresses |
| CreatedDate | date-time | Registered date in UTC. |
| UpdatedDate | date-time | Last updated date in UTC. |
| Description | string | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| Postit | string | The actual text, max 2047 significant characters even though it is stored as a larger data type on some databases |
| CreatedBy | Associate | The person that created the project |
| UpdatedBy | Associate | The person that last updated the project |
| Associate | Associate | The person that created the project Use MDO List name "associate" to get list items. |
| ProjectStatus | ProjectStatus | Project status is a list defined by the database administrator. Different statuses of a project may be: “In planning”, “Started”, “Finished” and so on Use MDO List name "projectstatus" to get list items. |
| ProjectType | ProjectType | Project type is a list defined by the database admin. for example: 'Large', 'Small', 'Party'... Use MDO List name "projecttype" to get list items. |
| HasImage | bool | True if the project has an image. (This is the image that is displayed in the CRM client) |
| ImageDescription | string | Description of the project image if it exists. (This is the image that is displayed in the CRM client) |
| ActiveStatusMonitorId | int32 | Active status monitor identity with the lowest rank for project |
| Links | array | List of all elements linked to the project |
| ActiveLinks | int32 | Number of active links to documents, other appointments, and such |
| Completed | bool | Done (0=false, 1=true). Status implies changes in which fields are shown in GUI, as well as which fields can be updated |
| NextMilestoneDate | date-time | Calculated date, reflects date of closest non-complete future milestone activity |
| NmdAppointmentId | int32 | ID of appointment that "caused" the nextMilestoneDate, can be 0 |
| EndDate | date-time | Planned end date for project, inhertied from type and later editable |
| ActiveErpLinks | int32 | The number of active erp links |
| UserDefinedFields | object | Deprecated: Use {SuperOffice.CRM.Services.ProjectEntity.CustomFields} instead. Dictionary of user defined field data. The key string is the ProgId of the UdefField, or if the ProgId is empty it is a string of the format "SuperOffice:[UdefFieldIdentity]", e.g. "SuperOffice:1234" |
| ExtraFields | object | Deprecated: Use {SuperOffice.CRM.Services.ProjectEntity.CustomFields} instead. Extra fields added to the carrier. This could be data from Plug-ins, the foreign key system, external applications, etc. |
| CustomFields | object | Udef + Extra fields added to the carrier. Extra fields as defined by changes to database schema + user-defined fields as defined by admin. Custom fields combines user defined fields and extra fields into one bucket. The individual {SuperOffice.CRM.Services.ProjectEntity.ExtraFields} and UserDefinedFields properties are deprecated in favor of this combined collection. |
| PublishEventDate | date-time | Publish event date |
| PublishTo | date-time | Publication valid to (inclusive) |
| PublishFrom | date-time | Publication valid from (inclusive) |
| IsPublished | bool | Publication is published |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
POST /api/v1/Project
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"ProjectId": 433,
"Name": "Schmitt, Anderson and Gislason",
"ProjectNumber": "1172695",
"ProjectMembers": [
{
"ProjectmemberId": 152,
"ContactId": 46,
"ProjectId": 49,
"ContactName": "Wyman, Welch and Heller",
"ContactDepartment": "",
"ProjectName": "Fay, Hermiston and Stokes",
"EmailId": 380,
"EmailAddress": "euna.kris@emmerichwest.uk",
"CountryId": 862,
"Firstname": "Arnold",
"MiddleName": "Ortiz-Waters",
"Lastname": "Lockman",
"PersonId": 608,
"Mrmrs": "rerum",
"ProjectMemberTypeName": "Veum Group",
"Phone": "067-833-7731",
"PhoneId": 824,
"ProjectMemberTypeId": 754,
"EmailAddressName": "josiah_walker@windlerpagac.biz",
"Comment": "rerum",
"FullName": "Zoie Hettinger",
"Registered": "2008-09-20T14:34:02.1747799+02:00",
"Updated": "2007-03-23T14:34:02.1747799+01:00"
}
],
"Urls": [
{
"Value": "sapiente",
"StrippedValue": "ea",
"Description": "Cross-platform impactful challenge"
},
{
"Value": "sapiente",
"StrippedValue": "ea",
"Description": "Cross-platform impactful challenge"
}
],
"CreatedDate": "2021-10-27T14:34:02.1747799+02:00",
"UpdatedDate": "2017-03-04T14:34:02.1747799+01:00",
"Description": "Multi-channelled 24 hour model",
"Postit": "nam",
"CreatedBy": null,
"UpdatedBy": null,
"Associate": null,
"ProjectStatus": null,
"ProjectType": null,
"HasImage": true,
"ImageDescription": "Extended content-based intranet",
"ActiveStatusMonitorId": 141,
"Links": [
{
"EntityName": "Vandervort Group",
"Id": 684,
"Description": "Distributed optimizing success",
"ExtraInfo": "voluptatem",
"LinkId": 64
},
{
"EntityName": "Vandervort Group",
"Id": 684,
"Description": "Distributed optimizing success",
"ExtraInfo": "voluptatem",
"LinkId": 64
}
],
"ActiveLinks": 772,
"Completed": false,
"NextMilestoneDate": "2020-02-07T14:34:02.1747799+01:00",
"NmdAppointmentId": 718,
"EndDate": "2021-08-04T14:34:02.1747799+02:00",
"ActiveErpLinks": 933,
"UserDefinedFields": {
"SuperOffice:1": "Ms. Janessa Marquardt V",
"SuperOffice:2": "Ms. William Eda Hermann I"
},
"ExtraFields": {
"ExtraFields1": "blanditiis",
"ExtraFields2": "quis"
},
"CustomFields": {
"CustomFields1": "cupiditate",
"CustomFields2": "eligendi"
},
"PublishEventDate": "2025-03-07T14:34:02.1747799+01:00",
"PublishTo": "2024-06-07T14:34:02.1747799+02:00",
"PublishFrom": "2003-10-08T14:34:02.1747799+02:00",
"IsPublished": true
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ProjectId": 798,
"Name": "Collins Group",
"ProjectNumber": "921565",
"ProjectMembers": [
{
"ProjectmemberId": 25,
"ContactId": 528,
"ProjectId": 759,
"ContactName": "Reichel-Osinski",
"ContactDepartment": "",
"ProjectName": "Hickle Inc and Sons",
"EmailId": 861,
"EmailAddress": "reinhold@beckerhodkiewicz.us",
"CountryId": 848,
"Firstname": "Johnathan",
"MiddleName": "Connelly, Botsford and Bosco",
"Lastname": "Bechtelar",
"PersonId": 143,
"Mrmrs": "earum",
"ProjectMemberTypeName": "Ward, Kozey and Larkin",
"Phone": "272-725-5448 x782",
"PhoneId": 465,
"ProjectMemberTypeId": 456,
"EmailAddressName": "gwendolyn@jakubowskikemmer.us",
"Comment": "ullam",
"FullName": "Rory Wyman IV",
"Registered": "1998-08-31T14:34:02.1747799+02:00",
"Updated": "2005-11-02T14:34:02.1747799+01:00",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 8
}
}
}
],
"Urls": [
{
"Value": "non",
"StrippedValue": "sit",
"Description": "Stand-alone 24/7 moratorium",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 37
}
}
},
{
"Value": "non",
"StrippedValue": "sit",
"Description": "Stand-alone 24/7 moratorium",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 37
}
}
}
],
"CreatedDate": "2018-09-21T14:34:02.1747799+02:00",
"UpdatedDate": "2001-09-12T14:34:02.1747799+02:00",
"Description": "Cross-group tertiary artificial intelligence",
"Postit": "tenetur",
"CreatedBy": null,
"UpdatedBy": null,
"Associate": null,
"ProjectStatus": null,
"ProjectType": null,
"HasImage": false,
"ImageDescription": "Re-engineered discrete architecture",
"ActiveStatusMonitorId": 393,
"Links": [
{
"EntityName": "Nikolaus, Satterfield and Osinski",
"Id": 819,
"Description": "Triple-buffered contextually-based middleware",
"ExtraInfo": "consequatur",
"LinkId": 47,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 755
}
}
}
],
"ActiveLinks": 250,
"Completed": false,
"NextMilestoneDate": "2013-06-16T14:34:02.1747799+02:00",
"NmdAppointmentId": 919,
"EndDate": "2014-10-16T14:34:02.1747799+02:00",
"ActiveErpLinks": 736,
"UserDefinedFields": {
"SuperOffice:1": "1224009969",
"SuperOffice:2": "969746882"
},
"ExtraFields": {
"ExtraFields1": "voluptas",
"ExtraFields2": "autem"
},
"CustomFields": {
"CustomFields1": "ab",
"CustomFields2": "qui"
},
"PublishEventDate": "2007-09-10T14:34:02.1747799+02:00",
"PublishTo": "2005-01-24T14:34:02.1747799+01:00",
"PublishFrom": "2010-04-29T14:34:02.1747799+02:00",
"IsPublished": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 18
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/contact/321",
"Archive": "https://www.example.com/api/v1/contact"
}
}